Subject: RE: Responses to comments on the NOTIFICATIOn-LOG-MIB

From: "Sharon Chisholm" <[email-masked]>
Date: Fri, 22 Oct 1999 13:36:51 -0400

> > Sharon Chisholm's comments:
> > > 2. An unrelated question: Does nlmStatsLogNotificationsLogged minus
> > > nlmStatsLogNotificationsBumped give me the current Log Index?
> > > Is it too late to request one object to query to get this number?
> > 
> > [*] Why do you want a number reflecting such a computation? Or do you
> simply
> > want an object reflecting the latest entry logged in the MIB? If such an
> object
> > were provided, you'd get into security issues like
> >         "what if the latest notification logged is not in your
> user/community
> > string's view?"
> > 
Yes, I am simply looking for an object which will tell me what the last
entry
logged was.  People are using views down to the row of a particular table?
I can see how this might be a problem then, but I think having this
available 
makes using the log table much more efficient. It might just be worth it.
People
can choose not to support a currentLogIndex object if it causes them huge
problems.

Do people using views run into the same thing with the ifTable and
ifLastChanged?
Isn't it the same problem, or do they just not split this table up by rows?

Sharon

---

From: Dave Shield <[email-masked]>
Date: Mon, 25 Oct 1999 09:21:36 +0100

Randy>       If such a object [see below]
Randy> were provided, you'd get into security issues like
Randy>         "what if the latest notification logged is not in your
Randy> user/community string's view?"

Sharon> Yes, I am simply looking for an object which will tell me what the last
Sharon> entry logged was.

I haven't been following this discussion (or the evolution of DISMAN) closely,
but as I understand it, I think Randy's concern is unfounded.

  Surely the object Sharon is asking for would simply return an index. Is
there any potentially sesitive information contained within this information?
The notification itself would still be subject to normal view restrictions.

  Thus an "unprivileged" manager would be told

	"The last notification was number 153,
	 but I'm not going to tell you what it was."

(which might in itself be a security problem, I suppose,
 though I can't offhand see how).

Dave